Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# WalkRequest Class Reference

`#include <MotionRequest.h>`

Collaboration diagram for WalkRequest:

[legend]
List of all members.

## Public Types
enum | WalkType { normal, upsideDown, turnWithBall, turnKick, dash, debug, boost, walkWithBall, gt2004mode, numOfWalkType }
| ids for all walking types More...
## Public Member Functions
| WalkRequest ()
## Static Public Member Functions
const char * | getWalkTypeName (WalkType id)
| returns names for walking types
## Public Attributes
WalkType | walkType
| walking type
Pose2D | walkParams
| walk parameters, in mm/s / rad/s

## Member Enumeration Documentation

enum WalkRequest::WalkType

  | ids for all walking types Enumeration values:
  normal |
  upsideDown |
  turnWithBall |
  turnKick |
  dash |
  debug |
  boost |
  walkWithBall |
  gt2004mode |
  numOfWalkType |
Definition at line 250 of file MotionRequest.h.

## Constructor & Destructor Documentation

WalkRequest::WalkRequest | ( |  | ) | `[inline]`

| Definition at line 263 of file MotionRequest.h. References normal, and walkType.

## Member Function Documentation

const char* WalkRequest::getWalkTypeName | ( | WalkType | id | ) | `[inline, static]`

| returns names for walking types Definition at line 272 of file MotionRequest.h. References boost, dash, debug, gt2004mode, normal, turnKick, turnWithBall, upsideDown, and walkWithBall. Referenced by MotionRequest::getWalkTypeName().

## Member Data Documentation

WalkType WalkRequest::walkType

| walking type Definition at line 266 of file MotionRequest.h. Referenced by GT2005MotionControl::execute(), GT2005CollisionDetector::execute(), GT2005BasicBehaviorGoToInterceptionPoint::execute(), GT2005BasicBehaviorGoToPointFast::execute(), GT2005BasicBehaviorGoToRelativePoint::execute(), GT2005BasicBehaviorGoToPoint::execute(), GT2005BasicBehaviorGoToPointAndAvoidObstacles::execute(), GT2005BasicBehaviorGoForwardToPoint::execute(), GT2005BasicBehaviorTurnAroundPointWithRadius::execute(), GT2005BasicBehaviorTurnAroundPointFast::execute(), GT2005BasicBehaviorTurnAroundPoint::execute(), GT2005BasicBehaviorGoalieReturnToGoal::execute(), GT2005BasicBehaviorGoaliePositionReturn::execute(), GT2005BasicBehaviorGoaliePosition::execute(), GT2005BasicBehaviorGoToBallWithoutTurning::execute(), GT2005BasicBehaviorGoToBallPropagated::execute(), GT2005BasicBehaviorGoToBall::execute(), GT2005BasicBehaviorNewGoToBall::execute(), GT2005PotentialFieldBasicBehaviorAvoidRobots::execute(), GT2005PotentialFieldBasicBehaviorOffensiveSupport::execute(), GT2005PotentialFieldBasicBehaviorSupport::execute(), BasicBehaviorWalk::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), MotionRequest::getWalkTypeName(), GT2005WalkCalibrationMainBehavior::Measure(), MotionRequest::operator==(), GT2005BehaviorControl::postExecute(), MotionRequestSymbols::registerSymbols(), MotionRequest::serialize(), MotionRatingBehaviorControl::setWalkMotionRequest(), and WalkRequest().

Pose2D WalkRequest::walkParams

| walk parameters, in mm/s / rad/s Definition at line 269 of file MotionRequest.h. Referenced by GT2005BallLocator::calculateRobotSpeedValue(), GT2005MotionControl::execute(), GT2005BasicBehaviorDirectedScanForObstacles::execute(), GT2005CollisionDetector::execute(), SLBenchmark::execute(), GT2005BasicBehaviorTurn::execute(), GT2005BasicBehaviorLocateMaxGreen::execute(), GT2005BasicBehaviorCalcWlanBearing::execute(), GT2005BasicBehaviorGoToInterceptionPoint::execute(), GT2005BasicBehaviorGoToPointFast::execute(), GT2005BasicBehaviorGoToRelativePoint::execute(), GT2005BasicBehaviorGoToPoint::execute(), GT2005BasicBehaviorGoToPointAndAvoidObstacles::execute(), GT2005BasicBehaviorGoForwardToPoint::execute(), GT2005BasicBehaviorTurnAroundPointWithRadius::execute(), GT2005BasicBehaviorTurnAroundPointFast::execute(), GT2005BasicBehaviorTurnAroundPoint::execute(), GT2005BasicBehaviorGoalieReturnToGoal::execute(), GT2005BasicBehaviorGoaliePositionReturn::execute(), GT2005BasicBehaviorGoaliePosition::execute(), GT2005BasicBehaviorGoToBallWithoutTurning::execute(), GT2005BasicBehaviorGoToBallPropagated::execute(), GT2005BasicBehaviorGoToBall::execute(), GT2005BasicBehaviorNewGoToBall::execute(), GT2005PotentialFieldBasicBehaviorAvoidRobots::execute(), GT2005PotentialFieldBasicBehaviorOffensiveSupport::execute(), GT2005PotentialFieldBasicBehaviorSupport::execute(), BasicBehaviorStand::execute(), BasicBehaviorWalk::execute(), InvKinWalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), SLBenchmark::FullTurn(), MotionRequestSymbols::getSpeedX(), MotionRequestSymbols::getSpeedY(), SLBenchmark::GoToNextTarget(), GT2005BasicBehaviorTurn::Init(), GT2005BasicBehaviorLocateMaxGreen::Init(), KickLoggerSymbols::kickLoggerSetExecuteState(), GT2005WalkCalibrationMainBehavior::Measure(), MotionRequest::operator==(), MotionRequest::printOut(), WalkAccelerationRestrictor::restrictAccelerations(), SLBenchmark::RotateToNextTarget(), WalkAccelerationRestrictor::saveLastWalkParameters(), MotionRequest::serialize(), and MotionRatingBehaviorControl::setWalkMotionRequest().

The documentation for this class was generated from the following file:

- Representations/Motion/MotionRequest.h